Bug 1817748 - [4.5] - Authentication operator is spamming message change events
Summary: [4.5] - Authentication operator is spamming message change events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Maru Newby
QA Contact: pmali
URL:
Whiteboard:
Depends On:
Blocks: 1823622
TreeView+ depends on / blocked
 
Reported: 2020-03-26 21:27 UTC by Clayton Coleman
Modified: 2020-07-13 17:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1823622 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:23:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 269 0 None closed Bug 1817748: Fix ingress state condition flapping 2020-07-27 20:39:07 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:24:15 UTC

Description Clayton Coleman 2020-03-26 21:27:53 UTC
https://search.svc.ci.openshift.org/?search=No+subsets+found+for+the+endpoints+of+oauth-server&maxAge=48h&context=0&type=build-log#

This message is confusing and spammy and looks like a real problem (also, message shouldn't be changing to empty when the operator is not degraded).

Mar 26 19:32:07.989 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (27 times)
Mar 26 19:12:07.695 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (6 times)
Mar 26 19:12:09.521 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "" to "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" (6 times)
Mar 26 19:17:06.790 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (12 times)
Mar 26 19:22:06.903 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (17 times)
Mar 26 19:27:07.792 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (22 times)
Mar 26 19:32:07.989 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (27 times)
Mar 26 19:32:07.989 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (27 times)

Comment 5 Maru Newby 2020-04-22 18:17:51 UTC
Setting 'No doc update' since this is a bug fix and 4.5 hasn't shipped yet.

Comment 7 errata-xmlrpc 2020-07-13 17:23:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.